Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.logging.file
Class RotatingLogManager

    java.lang.Object
      rice.environment.logging.AbstractLogManager
          rice.environment.logging.file.RotatingLogManager

All Implemented Interfaces:
  LogManager

    public class RotatingLogManager

extends AbstractLogManager

The file name is

Author:
  jstewart

Field Summary
`protected TimerTask` | `rotateTask`
`protected TimerTask` | `sizeRotateTask`

Fields inherited from class rice.environment.logging.AbstractLogManager
`dateFormat, dateFormatter, enabled, loggers, nullPrintStream, packageOnly, params, prefix, ps, SYSTEM_ERR, SYSTEM_OUT, time`

Constructor Summary
`RotatingLogManager(TimeSource timeSource, Parameters params)`
`RotatingLogManager(TimeSource timeSource, Parameters params, java.lang.String prefix, java.lang.String dateFormat)`

Method Summary
`void` | `cancelRotateTask()`
`protected Logger` | `constructLogger(java.lang.String clazz, int level, boolean useDefault)`
`java.io.PrintStream` | `getPrintStream()`
`void` | `startRotateTask(SelectorManager sm)`

Methods inherited from class rice.environment.logging.AbstractLogManager
`getLogger, getPrefix, getTimeSource, parseVal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rotateTask

    protected TimerTask rotateTask

### sizeRotateTask

    protected TimerTask sizeRotateTask

Constructor Detail

### RotatingLogManager

    public RotatingLogManager(TimeSource timeSource,
                              Parameters params)

### RotatingLogManager

    public RotatingLogManager(TimeSource timeSource,
                              Parameters params,
                              java.lang.String prefix,
                              java.lang.String dateFormat)

Parameters:
  `timeSource` -
  `params` -
  `prefix` - appears in the file, not the file-name

Method Detail

### startRotateTask

    public void startRotateTask(SelectorManager sm)

### cancelRotateTask

    public void cancelRotateTask()

### getPrintStream

    public java.io.PrintStream getPrintStream()

  Overrides:
    `getPrintStream` in class `AbstractLogManager`

### constructLogger

    protected Logger constructLogger(java.lang.String clazz,
                                     int level,
                                     boolean useDefault)

  Specified by:
    `constructLogger` in class `AbstractLogManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.